%define	pdir	XML
%define	pnam	Handler-YAWriter
%define name    %{pdir}-%{pnam}
%define version 0.23
%define release 2mdk

Summary:	XML::Handler::YAWriter perl module
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.bz2
BuildRequires:	perl 
BuildRequires:	perl(IO::File) >= 1.06
BuildRequires:	perl-libxml-perl >= 0.06
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Url: http://www.cpan.org/

%description
YAWriter implements Yet Another XML::Handler::Writer. The reasons for
this one are that I needed a flexible escaping technique, and want
some kind of pretty printing.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf $RPM_BUILD_ROOT

%make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{perl_vendorlib}/XML/Handler/*
%{_mandir}/man[13]/*
%{_mandir}/man3pm/XML::Handler::YAWriter.3pm.bz2

%changelog
* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.23-2mdk
- rebuild for rpm and glibc
- fix missing man page

* Thu Aug 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.23-1mdk
- 1st mdk package from pld
